GTGStack.h File Reference
`#include "GTGList.h"`

Go to the source code of this file.

## Macros

#define | GTG_STACK_INIT(ptr)
#define | GTG_STACK(ptr)
#define | gtg_stack_entry(ptr, type, member)

## Typedefs

typedef struct gtg_list | gtg_stack
typedef gtg_stack * | gtg_stack_t

## Functions

static void | gtg_stack_push (gtg_stack_t lnew, gtg_stack_t p_stack)
static void | gtg_stack_pop (gtg_stack_t p_stack)
static gtg_stack_t | gtg_stack_top (gtg_stack_t p_stack)
static int | gtg_stack_empty (gtg_stack_t p_stack)

## Macro Definition Documentation

## GTG_STACK

#define GTG_STACK | ( |  | ptr | ) |

Value:
GTG_LIST(ptr)
GTG_LIST
#define GTG_LIST(name)
declare and initialize a list.
Definition GTGList.h:27

## gtg_stack_entry

#define gtg_stack_entry | ( |  | ptr,
|  |  | type,
|  |  | member )

Value:
gtg_list_entry(ptr, type, member)
gtg_list_entry
#define gtg_list_entry(ptr, type, member)
get the structure corresponding to a list entry
Definition GTGList.h:39

## GTG_STACK_INIT

#define GTG_STACK_INIT | ( |  | ptr | ) |

Value:
GTG_LIST_INIT(ptr)
GTG_LIST_INIT
#define GTG_LIST_INIT(ptr)
initialize a list.
Definition GTGList.h:16

## Typedef Documentation

## gtg_stack

typedef struct gtg_list gtg_stack

## gtg_stack_t

typedef gtg_stack* gtg_stack_t

## Function Documentation

## gtg_stack_empty()

int gtg_stack_empty | ( | gtg_stack_t | p_stack | ) |

inline static

## gtg_stack_pop()

void gtg_stack_pop | ( | gtg_stack_t | p_stack | ) |

inline static

## gtg_stack_push()

void gtg_stack_push | ( | gtg_stack_t | lnew,
|  | gtg_stack_t | p_stack )

inline static

## gtg_stack_top()

gtg_stack_t gtg_stack_top | ( | gtg_stack_t | p_stack | ) |

inline static